My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexSlider Class Reference
Nextion Component

`#include <NexSlider.h>`

Inheritance diagram for NexSlider:

## Public Member Functions
| NexSlider (uint8_t pid, uint8_t cid, const char *name)
bool | getValue (uint32_t *number)
bool | setValue (uint32_t number)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
uint32_t | Get_pointer_thickness_wid (uint32_t *number)
bool | Set_pointer_thickness_wid (uint32_t number)
uint32_t | Get_cursor_height_hig (uint32_t *number)
bool | Set_cursor_height_hig (uint32_t number)
uint32_t | getMaxval (uint32_t *number)
bool | setMaxval (uint32_t number)
uint32_t | getMinval (uint32_t *number)
bool | setMinval (uint32_t number)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexSlider component.

## Constructor & Destructor Documentation

NexSlider::NexSlider | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexSlider::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexSlider::Get_cursor_height_hig | ( | uint32_t * | number | ) |

Get hig attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexSlider::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexSlider::Get_pointer_thickness_wid | ( | uint32_t * | number | ) |

Get wid attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexSlider::getMaxval | ( | uint32_t * | number | ) |

Get maxval attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexSlider::getMinval | ( | uint32_t * | number | ) |

Get minval attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

bool NexSlider::getValue | ( | uint32_t * | number | ) |

Get the value of slider.

Parameters

  number | - an output parameter to save the value of slider.

Return values

  true | - success.
  false | - failed.

bool NexSlider::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::Set_cursor_height_hig | ( | uint32_t | number | ) |

Set hig attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::Set_pointer_thickness_wid | ( | uint32_t | number | ) |

Set wid attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::setMaxval | ( | uint32_t | number | ) |

Set maxval attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::setMinval | ( | uint32_t | number | ) |

Set minval attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexSlider::setValue | ( | uint32_t | number | ) |

Set the value of slider.

Parameters

  number | - the value of slider.

Return values

  true | - success.
  false | - failed.

The documentation for this class was generated from the following files:

- NexSlider.h
- NexSlider.cpp